# Method: projects.locations.models.create

- [HTTP request](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/create#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models/create#body.aspect)

Creates a model. Returns a Model in the `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.operations#Operation.FIELDS.response` field when it completes. When you create a model, several model evaluations are created for it: a global evaluation, and one evaluation for each annotation spec.

### HTTP request

`POST https://automl.googleapis.com/v1beta1/{parent}/models`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Resource name of the parent project where the model is being created. Authorization requires the following [Google IAM](https://cloud.google.com/iam) permission on the specified resource `parent`: - `automl.models.create` <br /> |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.models#Model`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/translate/automl/docs/reference/rest/v1beta1/projects.locations.operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).